#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeplasmaver	5.26.4
%define		qtver		5.15.2
%define		kf5ver		5.82.0
%define		kpname		layer-shell-qt
Summary:	layer-shell-qt
Name:		kp5-%{kpname}
Version:	5.26.4
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	625e99eab5af4ec21336f748e67b67b7
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= %{qtver}
BuildRequires:	Qt5Network-devel >= %{qtver}
BuildRequires:	Qt5Qml-devel >= %{qtver}
BuildRequires:	Qt5Quick-devel >= %{qtver}
BuildRequires:	Qt5Test-devel >= %{qtver}
BuildRequires:	Qt5WaylandClient-devel >= %{qtver}
BuildRequires:	Qt5Widgets-devel >= %{qtver}
BuildRequires:	Qt5X11Extras-devel >= %{qtver}
BuildRequires:	Qt5XkbCommonSupport-devel >= %{qtver}
BuildRequires:	cmake >= 2.8.12
BuildRequires:	gettext-devel
BuildRequires:	kf5-kcmutils-devel >= %{kf5ver}
BuildRequires:	kf5-kcrash-devel >= %{kf5ver}
BuildRequires:	kf5-kdeclarative-devel >= %{kf5ver}
BuildRequires:	kf5-kdelibs4support-devel >= %{kf5ver}
BuildRequires:	kf5-kglobalaccel-devel >= %{kf5ver}
BuildRequires:	kf5-kidletime-devel >= %{kf5ver}
BuildRequires:	kf5-kwayland-devel
BuildRequires:	kf5-plasma-framework-devel >= %{kf5ver}
BuildRequires:	ninja
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	wayland-protocols
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xz
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
kscreenlocker

%package devel
Summary:	Header files for %{kpname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kpname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{kpname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kpname}.

%prep
%setup -q -n %{kpname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	../
%ninja_build

%if %{with tests}
ctest
%endif

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%ghost %{_libdir}/libLayerShellQtInterface.so.5
%attr(755,root,root) %{_libdir}/libLayerShellQtInterface.so.*.*.*
%attr(755,root,root) %{_libdir}/qt5/plugins/wayland-shell-integration/liblayer-shell.so

%files devel
%defattr(644,root,root,755)
%{_includedir}/LayerShellQt
%{_libdir}/cmake/LayerShellQt
%{_libdir}/libLayerShellQtInterface.so
%changelog
* Wed Nov 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp5-layer-shell-qt.git;a=log;h=master

* Tue Nov 29 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 083f993
- updated to 5.26.4

* Wed Nov 09 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 191e71e
- updated to 5.26.3

* Thu Oct 27 2022 Witold Filipczyk <witekfl@poczta.onet.pl> a68331d
- updated to 5.26.2

* Wed Oct 19 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 6626410
- updated to 5.26.1

* Wed Oct 12 2022 Witold Filipczyk <witekfl@poczta.onet.pl> bbf8cc2
- updated to 5.26.0

* Wed Sep 14 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> ace6ee0
- rebuild with qt5-5.15.6

* Wed Sep 07 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 3362856
- updated to 5.25.5

* Wed Aug 03 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 911ba11
- updated to 5.25.4

* Wed Jul 13 2022 Witold Filipczyk <witekfl@poczta.onet.pl> aca13bd
- updated to 5.25.3

* Wed Jun 29 2022 Witold Filipczyk <witekfl@poczta.onet.pl> b9ff401
- updated to 5.25.2

* Tue Jun 21 2022 Witold Filipczyk <witekfl@poczta.onet.pl> edb7346
- updated to 5.25.1

* Wed Jun 15 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 76f9d06
- updated to 5.25.0

* Tue May 03 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 4e16fa6
- updated to 5.24.5

* Wed Mar 30 2022 Witold Filipczyk <witekfl@poczta.onet.pl> e7fb170
- updated to 5.24.4
- added bcond_with tests

* Wed Mar 09 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 2a5372b
- updated to 5.24.3

* Thu Feb 24 2022 Witold Filipczyk <witekfl@poczta.onet.pl> c9e3e5d
- updated to 5.24.2

* Thu Feb 17 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 7a63fe7
- updated to 5.24.1

* Thu Feb 10 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 4029a9d
- updated to 5.24.0

* Wed Jan 05 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 3e9b3e1
- updated to 5.23.5

* Wed Dec 01 2021 Witold Filipczyk <witekfl@poczta.onet.pl> cdaa23f
- updated to 5.23.4

